// import React, { useRef, Fragment } from "react";
// import { ArrowLeft, ArrowRight, Close } from "@carbon/icons-react";

// export interface Props {
//   isOpen: boolean;
//   images: string[];
//   currentImage: number;
//   onClose: () => void;
// }

// const Lightbox: React.FC<Props> = ({
//   isOpen,
//   images,
//   currentImage,
//   onClose,
// }) => {

//   const buttonClasses =
//     "absolute flex items-center justify-center w-10 h-10 text-white text-opacity-70 hover:text-opacity-100 transition-all duration-100 ease-in-out";

//   const handleNavigation = (direction: "prev" | "next") => {
//     if (sliderRef.current) {
//       if (direction === "prev") {
//         sliderRef.current.slickPrev();
//       } else {
//         sliderRef.current.slickNext();
//       }
//     }
//   };

//   return (
//     <Fragment>
//       {isOpen && (
//         <div className="fixed top-0 left-0 w-full h-full bg-black bg-opacity-80">
//           <div className="relative w-full h-full">
//             <Slider
//               {...{ ...settings, initialSlide: currentImage }}
//               ref={sliderRef}
//               className="lightbox h-screen p-20"
//             >
//               {images.map((image, index) => (
//                 <div className="w-full h-full" key={index}>
//                   <img
//                     className="w-full h-full my-0 mx-auto object-contain"
//                     src={image}
//                     alt=""
//                   />
//                 </div>
//               ))}
//             </Slider>
//             <button
//               onClick={() => handleNavigation("prev")}
//               className={`${buttonClasses} left-5 top-1/2 -translate-y-2`}
//             >
//               <ArrowLeft size={32} />
//             </button>
//             <button
//               onClick={() => handleNavigation("next")}
//               className={`${buttonClasses} right-5 top-1/2 -translate-y-2/4`}
//             >
//               <ArrowRight size={32} />
//             </button>
//             <button
//               onClick={() => onClose()}
//               className={`${buttonClasses} top-5 right-5`}
//             >
//               <Close size={32} />
//             </button>
//           </div>
//         </div>
//       )}
//     </Fragment>
//   );
// };

// export default Lightbox;
